Subject: Re: [bug#55227] [PATCH core-updates 0/8] The Full Source Bootstrap

From: Jan Nieuwenhuizen <[email-masked]>
Date: Mon, 16 May 2022 07:17:01 +0200

Maxim Cournoyer writes:

Hello Maxim,

> "Jan (janneke) Nieuwenhuizen" <[email-masked]> writes:
>
>> About a year ago we cheered something like:  WE DID IT!!!
[..]
>>   commencement: Add bootstrap-seeds.
>>   commencement: Add stage0-posix.
>>   commencement: mes-boot: Update to 0.24, build with M2-Planet.
>>   commencement: tcc-boot0: Use NYACC-1.00.2.
>>   commencement: tcc-boot0: Update to 0.9.26-1136-g0fbeb2dd.
>>   bootstrap: Remove %bootstrap-mescc-tools, %bootstrap-mes.
>>   commencement: Remove %bootstrap-mes-rewired.
>>   doc: Add the "Full Source Bootstrap".
>
> Woohoo!  Thank you for dedicating lots of your energy to this noble
> cause! :-) I'll try to enjoy the finer details when I have a chance
> but... a blog post could be nice to shine a light on this amazing
> achievement!

Thanks for your appreciation, that means a lot to me!  It's been quite
some work and also a lot of fun, most of the time ;).  And it feels very
good when the work is so welcomed.  I am grateful for having the
opportunity to work on this, and Guix makes it so easy!

There will definately be a blog-post; I have already started to work on
it.  I think it's probably best to time it after core-utils has been
merged into master, when "guix pull; guix system init .." actually
installs a system built from 357 bytes.

> Thank you, and happy continuation!

Very welcome, thanks,
Janneke

-- 
Jan Nieuwenhuizen <[email-masked]>  | GNU LilyPond https://lilypond.org
Freelance IT https://JoyOfSource.com | Avatar® https://AvatarAcademy.com